<?php
/**
 * OOPでBBS (Step8)
 *
 * オブジェクト指向プログラミングで掲示板を作ってみる。
 * ブログでその作り方を晒すために書いたものです。
 * 詳しい事は当該記事を見てください。 
 *
 *
 *           
 * PHP version 5.3
 *
 * LICENSE : このソースはCreative Commons 表示 - 非営利 2.1 日本 Licenseです。
 *           改変は自由ですが営利目的で利用することは出来ません。
 * 
 * @category  Step8
 * @package   OOPdeBBS
 * @author    Tenderfeel <tenderfeel@gmail.com>
 * @copyright Copyright (c) 2010 Tenderfeel.(http://webtecnote.com)
 * @license   http://creativecommons.org/licenses/by-nc/2.1/jp/
 * @since     File available since Release 1.4.0 (Step4)
 *
 */


/**
 * 掲示板のログデータオブジェクト
 *
 * Logクラスのプロパティは掲示板に書き込まれる情報です。
 * 読み込まれたログの１記事あたりの情報を保持します。
 *
 * <step8>
 * 
 * @author    Tenderfeel <tenderfeel@gmail.com>
 * @copyright Copyright (c) 2010 Tenderfeel.(http://webtecnote.com)
 * @license   Creative Commons BY-NC http://creativecommons.org/licenses/by-nc/2.1/jp/
 * @since     File available since Release 1.4.0 (Step4)
 */
 
class Log {
    
    public function __construct($label, $line)
    {
        $num = count($line);
        for ($i=0; $i < $num ; $i++) {
            $varname = $label[$i];
            $this->{$varname} = $line[$i];  
        }
    }
    
    public function __get($name)
    {
    }
    
    /**
     * テンプレート用。メンバ変数の値をプリントアウトする。
     * @param {string} $name 掲示板フォームのnameキー
     * @return {} printで出力
     */
    public function the_($name, $option=NULL)
    {
        print $this->getThe_($name, $option);  
    }
    
     /**
     * テンプレート用。メンバ変数の値を返す。
     * @param {string} $name 掲示板フォームのnameキー
     * @return {string} nameキーに応じたログデータ
     */
    public function getThe_($name, $option=NULL)
    {
        $data = $this->{$name};
        
        if(!empty($option)){
            if($name=='date'){
                return date($option, $data);
            }elseif($option == 'br2nl'){//改行タグを改行コードに変換
            	return str_replace('<br />', "\n", $data);
            }
        }else{
            return $this->{$name};
        }
    }
}
?>